| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
LCDConf.c File Reference
`#include "GUI.h"`
`#include "GUIDRV_Lin.h"`

Go to the source code of this file.

## Macros
#define | XSIZE_PHYS 240
#define | YSIZE_PHYS 320
#define | COLOR_CONVERSION GUICC_M565
#define | DISPLAY_ORIENTATION (GUI_SWAP_XY | GUI_MIRROR_Y)
#define | DISPLAY_DRIVER GUIDRV_LIN_OX_16
#define | USE_TOUCH 1
#define | TOUCH_X_MIN 0x00E0
#define | TOUCH_X_MAX 0x0F40
#define | TOUCH_Y_MIN 0x00C0
#define | TOUCH_Y_MAX 0x0F60
#define | NUM_BUFFERS 1
#define | NUM_VSCREENS 1
#define | VRAM_ADDR 0x28000000
#define | LANDSCAPE 0
#define | WIDTH XSIZE_PHYS /* Screen Width (in pixels) */
#define | HEIGHT YSIZE_PHYS /* Screen Hight (in pixels) */
#define | TOUCH_LEFT TOUCH_X_MIN
#define | TOUCH_RIGHT TOUCH_X_MAX
#define | TOUCH_TOP TOUCH_Y_MIN
#define | TOUCH_BOTTOM TOUCH_Y_MAX

## Functions
void | LCD_X_Config (void)
int | LCD_X_DisplayDriver (unsigned LayerIndex, unsigned Cmd, void *pData)
void | GUI_TOUCH_X_ActivateX (void)
void | GUI_TOUCH_X_ActivateY (void)
int | GUI_TOUCH_X_MeasureX (void)
int | GUI_TOUCH_X_MeasureY (void)

## Macro Definition Documentation

#define COLOR_CONVERSION GUICC_M565

Definition at line 51 of file LCDConf.c.

#define DISPLAY_DRIVER GUIDRV_LIN_OX_16

Definition at line 60 of file LCDConf.c.

#define DISPLAY_ORIENTATION (GUI_SWAP_XY | GUI_MIRROR_Y)

Definition at line 53 of file LCDConf.c.

#define HEIGHT YSIZE_PHYS /* Screen Hight (in pixels) */

Definition at line 139 of file LCDConf.c.

#define LANDSCAPE 0

Definition at line 131 of file LCDConf.c.

#define NUM_BUFFERS 1

Definition at line 89 of file LCDConf.c.

#define NUM_VSCREENS 1

Definition at line 90 of file LCDConf.c.

#define TOUCH_BOTTOM TOUCH_Y_MAX

Definition at line 170 of file LCDConf.c.

#define TOUCH_LEFT TOUCH_X_MIN

Definition at line 162 of file LCDConf.c.

#define TOUCH_RIGHT TOUCH_X_MAX

Definition at line 163 of file LCDConf.c.

#define TOUCH_TOP TOUCH_Y_MIN

Definition at line 169 of file LCDConf.c.

#define TOUCH_X_MAX 0x0F40

Definition at line 82 of file LCDConf.c.

#define TOUCH_X_MIN 0x00E0

Definition at line 81 of file LCDConf.c.

#define TOUCH_Y_MAX 0x0F60

Definition at line 84 of file LCDConf.c.

#define TOUCH_Y_MIN 0x00C0

Definition at line 83 of file LCDConf.c.

#define USE_TOUCH 1

Definition at line 78 of file LCDConf.c.

#define VRAM_ADDR 0x28000000

Definition at line 99 of file LCDConf.c.

#define WIDTH XSIZE_PHYS /* Screen Width (in pixels) */

Definition at line 138 of file LCDConf.c.

#define XSIZE_PHYS 240

Definition at line 45 of file LCDConf.c.

#define YSIZE_PHYS 320

Definition at line 46 of file LCDConf.c.

## Function Documentation

void GUI_TOUCH_X_ActivateX | ( | void |  | ) |

Definition at line 341 of file LCDConf.c.

void GUI_TOUCH_X_ActivateY | ( | void |  | ) |

Definition at line 354 of file LCDConf.c.

int GUI_TOUCH_X_MeasureX | ( | void |  | ) |

Definition at line 365 of file LCDConf.c.

int GUI_TOUCH_X_MeasureY | ( | void |  | ) |

Definition at line 377 of file LCDConf.c.

void LCD_X_Config | ( | void |  | ) |

Definition at line 189 of file LCDConf.c.

int LCD_X_DisplayDriver | ( | unsigned | LayerIndex,
|  | unsigned | Cmd,
|  | void * | pData
| ) |  |

Definition at line 253 of file LCDConf.c.